# Return team user 2FA config

This function retrieves a team user's configuration settings for two-factor authentication.

Endpoint: GET /TwoFactorAuth/get_team_user_configuration
Version: 11.137.9999.106
Security: BasicAuth

## Query parameters:

  - `team_user` (string, required)
    The team user's username.

Note:

The username will always precede the cPanel account's primary domain.
    Example: "user@example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_team_user_configuration"

  - `module` (string)
    The name of the module called.
    Example: "TwoFactorAuth"

  - `result` (object)

  - `result.data` (object)

  - `result.data.is_enabled` (integer)
    Whether two-factor authentication is enabled for the team user.
* 1 - Enabled.
* 0 - Disabled.
    Enum: 0, 1

  - `result.data.issuer` (string)
    The authentication code issuer's name.
    Example: "Example WebPros International, LLC"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


